# ImageMaterialProperty

#### new Cesium.ImageMaterialProperty(options)
DataSources/ImageMaterialProperty.js 36

A `MaterialProperty` that maps to image `Material` uniforms.

Name | Type | Description
--- | --- | ---

`options`

Object

optional Object with the following properties:

Name | Type | Default | Description
--- | --- | --- | ---
`image` | Property |  | optional A Property specifying the Image, URL, Canvas, or Video.
`repeat` | Property | `new Cartesian2(1.0, 1.0)` | optional A `Cartesian2` Property specifying the number of times the image repeats in each direction.
`color` | Property | `Color.WHITE` | optional The color applied to the image
`transparent` | Property | `false` | optional Set to true when the image has transparency (for example, when a png has transparent sections)

### Members

#### color : Property
DataSources/ImageMaterialProperty.js 106

Gets or sets the Color Property specifying the desired color applied to the image.

Default Value: `1.0`

#### readonlydefinitionChanged : Event
DataSources/ImageMaterialProperty.js 79

Gets the event that is raised whenever the definition of this property changes. The definition is considered to have changed if a call to getValue would return a different result for the same time.

#### image : Property
DataSources/ImageMaterialProperty.js 90

Gets or sets the Property specifying Image, URL, Canvas, or Video to use.

#### readonlyisConstant : Boolean
DataSources/ImageMaterialProperty.js 64

Gets a value indicating if this property is constant. A property is considered constant if getValue always returns the same result for the current definition.

#### repeat : Property
DataSources/ImageMaterialProperty.js 98

Gets or sets the `Cartesian2` Property specifying the number of times the image repeats in each direction.

Default Value: `new Cartesian2(1, 1)`

#### transparent : Property
DataSources/ImageMaterialProperty.js 114

Gets or sets the Boolean Property specifying whether the image has transparency

Default Value: `1.0`

### Methods

#### equals(other) → Boolean
DataSources/ImageMaterialProperty.js 156

Compares this property to the provided property and returns `true` if they are equal, `false` otherwise.

Name | Type | Description
--- | --- | ---
`other` | Property | optional The other property.

##### Returns:

`true` if left and right are equal, `false` otherwise.

#### getType(time) → String
DataSources/ImageMaterialProperty.js 123

Gets the `Material` type at the provided time.

Name | Type | Description
--- | --- | ---
`time` | JulianDate | The time for which to retrieve the type.

##### Returns:

The type of material.

#### getValue(time, result) → Object
DataSources/ImageMaterialProperty.js 134

Gets the value of the property at the provided time.

Name | Type | Description
--- | --- | ---
`time` | JulianDate | The time for which to retrieve the value.
`result` | Object | optional The object to store the value into, if omitted, a new instance is created and returned.

##### Returns:

The modified result parameter or a new instance if the result parameter was not supplied.